Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003735Doomseeker[All Projects] Epicpublic2020-01-25 12:442020-01-30 16:51
ReporterZalewa 
Assigned ToWubTheCaptain 
PrioritynormalSeverityfeatureReproducibilityN/A
Statusneeds testingResolutionopen 
PlatformOSOS Version
Product Version1.3 
Target Version1.3.1Fixed in Version 
Summary0003735: Doomseeker 1.3.1 release
DescriptionLet's make a stable release of Doomseeker 1.3.1 to include all the fixes made since 1.3 in the official Doomseeker packages.
Additional InformationThe procedure is as usual. Follow it as outlined in the previous release 1.3: 0003663
Attached Files

- Relationships
parent of 0003736resolvedBlzut3 Doomseeker 1.3.1 Ubuntu packages need to be released 
parent of 0003737resolvedBlzut3 Doomseeker 1.3.1 for macOS needs to be released 
parent of 0003738resolvedZalewa Doomseeker's website needs to be updated for 1.3.1 release 
parent of 0003739resolvedZalewa Doomseeker 1.3.1 release may need an annoucement on Zandronum forums 
parent of 0003741resolvedZalewa Version control (Git) needs a tag for 1.3.1 release 
parent of 0003742resolvedZalewa Doomseeker 1.3.1 for Windows needs to be released 
parent of 0003743resolvedBlzut3 Doomseeker 1.3.1 source code tarball needs to be released (with signature) 
parent of 0003744resolvedZalewa Doomseeker 1.3.1 needs to be released to stable (and beta) auto-update channels 
parent of 0003745resolvedWubTheCaptain Doomseeker 1.3.1 release may need an annoucement on SRB2 forums 
parent of 0003757resolvedPol M Doomseeker 1.3.1 Arch Linux' (GNU/Linux) AUR packages need to be released 

-  Notes
User avatar (0021118)
Pol M (developer)
2020-01-25 12:49

Yep, the SRB2 crash specially justify a minor release. Let's do it!

(No, I'm not dead XD, I've been a little occupied with uni)
User avatar (0021119)
Blzut3 (administrator)
2020-01-25 18:28

Added version 1.3.1 to this tracker.
User avatar (0021120)
WubTheCaptain (developer)
2020-01-27 20:26

Sure, I guess I'll adjust the tracker's issues accordingly.
User avatar (0021124)
Zalewa (developer)
2020-01-27 21:40

DONE:

1. Tagged 1.3.1
2. 1.3.1 release for Windows already uploaded to the beta channel.
3. Stable channel has the packages prepared but not enabled yet. All that needs to be done here is to rename the already uploaded "update-info_win32_stable_1.3.1.js" file to "update-info_win32_stable.js".
4. Website's code updated and pushed to the repo but not deployed to the server yet.

TODO:

1. Release Ubuntu & Mac binary packages - Blzut3
2. Build the signed ".tar.xz" source package for Doomseeker 1.3.1 and upload it to /files on the server - Blzut3
3. Rename the stable auto-update .js file - Zalewa/Blzut3
4. Deploy the website to the server - Zalewa/Blzut3
5. Forums announcement - Zalewa


I'll bring back the SRB2 plugin in the 1.3 Windows package to its original state after 1.3.1 release is complete (0003734).

This release is simpler because there were no changes to the Plugin API and Wadseeker had no notable changes, therefore steps that involved these can be skipped.

I'll prepare the release notification for the forums in a separate comment.
User avatar (0021125)
WubTheCaptain (developer)
2020-01-27 21:48

Since this was categorized as "epic" and "Follow it as outlined in the previous release 1.3", I reported the relevant child issues. I hope they'll be useful to track what's going on with the release process, to keep this epic issue clean or meta.
Hoping this continues to be useful.
User avatar (0021128)
WubTheCaptain (developer)
2020-01-27 22:06

Meta: It'd be a tiny bit "nicer" to release the source code tarball in /files before binary builds (in this case before Windows ZIP that went out), to avoid the most trivial error with license compliance. I understand that task would've been blocked by another person having to prepare the source tarball first (with signature) before others could've published binaries, if we would've done that.
User avatar (0021132)
Zalewa (developer)
2020-01-28 18:06

Draft of the release announcement prepared as a private comment in 0003739.
User avatar (0021135)
Blzut3 (administrator)
2020-01-29 05:44

WubTheCaptain, usually the time difference isn't this long but since I was out of town when the decision to do 1.3.1 came up it had to wait (well technically it didn't HAVE to wait, but it's easier for me this way). Was planning to do the packages today, but had a little too much going on so will have to push to tomorrow.

That said I'm fairly sure the GPL doesn't specify that the source must be provided in a tarball form so technically the tag in the repository is compliance.
User avatar (0021146)
Zalewa (developer)
2020-01-30 07:26

Release is complete.
User avatar (0021154)
WubTheCaptain (developer)
2020-01-30 12:55

Windows users: Please test 0003706 to be resolved.
Webmasters: 0003747.
Zalewa: 0003734.
Beyond that, 1.3.1 releases are out.
User avatar (0021165)
Pol M (developer)
2020-01-30 16:07

AUR updated :P
User avatar (0021167)
WubTheCaptain (developer)
2020-01-30 16:48

Quote from Pol M
AUR updated :P

Thanks for reminding. I'll track that as an issue, so I'll remember to track it for the next release too.

Issue Community Support
Only registered users can voice their support. Click here to register, or here to log in.
Supporters: WubTheCaptain
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2020-01-25 12:44 Zalewa New Issue
2020-01-25 12:49 Pol M Note Added: 0021118
2020-01-25 18:28 Blzut3 Note Added: 0021119
2020-01-25 19:56 Zalewa Target Version => 1.3.1
2020-01-27 20:26 WubTheCaptain Note Added: 0021120
2020-01-27 20:26 WubTheCaptain Status new => confirmed
2020-01-27 20:32 Zalewa Assigned To => Zalewa
2020-01-27 20:32 Zalewa Status confirmed => assigned
2020-01-27 21:06 WubTheCaptain Relationship added parent of 0003736
2020-01-27 21:10 WubTheCaptain Relationship added parent of 0003737
2020-01-27 21:15 WubTheCaptain Relationship added parent of 0003738
2020-01-27 21:19 WubTheCaptain Relationship added parent of 0003739
2020-01-27 21:33 WubTheCaptain Relationship added parent of 0003741
2020-01-27 21:40 Zalewa Note Added: 0021124
2020-01-27 21:40 WubTheCaptain Relationship added parent of 0003742
2020-01-27 21:45 WubTheCaptain Relationship added parent of 0003743
2020-01-27 21:48 WubTheCaptain Note Added: 0021125
2020-01-27 21:56 WubTheCaptain Relationship added parent of 0003744
2020-01-27 22:06 WubTheCaptain Note Added: 0021128
2020-01-27 22:47 WubTheCaptain Relationship added parent of 0003745
2020-01-28 18:06 Zalewa Note Added: 0021132
2020-01-28 18:07 Zalewa Assigned To Zalewa => Blzut3
2020-01-29 05:44 Blzut3 Note Added: 0021135
2020-01-30 07:26 Zalewa Note Added: 0021146
2020-01-30 07:26 Zalewa Assigned To Blzut3 =>
2020-01-30 07:26 Zalewa Status assigned => needs review
2020-01-30 12:25 WubTheCaptain Assigned To => WubTheCaptain
2020-01-30 12:55 WubTheCaptain Note Added: 0021154
2020-01-30 12:55 WubTheCaptain Status needs review => needs testing
2020-01-30 16:07 Pol M Note Added: 0021165
2020-01-30 16:48 WubTheCaptain Note Added: 0021167
2020-01-30 16:51 WubTheCaptain Relationship added parent of 0003757






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker